function ids_struct_out = tcv_get_ids_flux_loop(shot, ids_structures)
% Get ids field magnetics.fluxx_loop 

% Get data 
tmp = gdat_tcv(shot, 'tcv_idealloop("FLUX")');
names = tmp.dim{2};
time = tmp.dim{1};
data = tmp.data;

% Preallocate output structure
Nprobes = size(tmp.data,2);
ids_struct_out(1:Nprobes) = ids_structures;

% Put data on ids structure
for ii=1:Nprobes
    ids_struct_out{ii}.name  = [names{ii}];
    ids_struct_out{ii}.position{1}.r  = mdsvalue('STATIC("R_F"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.position{1}.z  = mdsvalue('STATIC("Z_F"  )[$1]',ids_struct_out{ii}.name);
    ids_struct_out{ii}.flux.data  =  data(:,ii);
    ids_struct_out{ii}.flux.time  =  time;

    ids_struct_out{ii}.flux.data_error_upper = 0.001200000056997.*ones(size(ids_struct_out{ii}.flux.data));
    %(not filled if symmetric) ids_struct_out{ii}.flux.data_error_lower = 0.0012;%.*ones(size(ids_struct_out{ii}.flux.data));
    %ids_struct_out{ii}.position.phi  =  0; % TO BE FOUND
end

